BcPublicKeyDataDecryptorFactory
Date: 2016-06-23

org.bouncycastle.openpgp.operator.bc

## Class BcPublicKeyDataDecryptorFactory

- java.lang.Object
- - org.bouncycastle.openpgp.operator.bc.BcPublicKeyDataDecryptorFactory

- All Implemented Interfaces:
    PGPDataDecryptorFactory, PublicKeyDataDecryptorFactory

      public class BcPublicKeyDataDecryptorFactory
      extends java.lang.Object
      implements PublicKeyDataDecryptorFactory

  A decryptor factory for handling public key decryption operations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcPublicKeyDataDecryptorFactory(PGPPrivateKey privKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PGPDataDecryptor` | `createDataDecryptor(boolean withIntegrityPacket, int encAlgorithm, byte[] key)` Constructs a data decryptor.
    `byte[]` | `recoverSessionData(int keyAlgorithm, byte[][] secKeyData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BcPublicKeyDataDecryptorFactory

          public BcPublicKeyDataDecryptorFactory(PGPPrivateKey privKey)

  - ### Method Detail

    - #### recoverSessionData

          public byte[] recoverSessionData(int keyAlgorithm,
                                  byte[][] secKeyData)
                                    throws PGPException

      Specified by:
        `recoverSessionData` in interface `PublicKeyDataDecryptorFactory`
      Throws:
        `PGPException`

    - #### createDataDecryptor

          public PGPDataDecryptor createDataDecryptor(boolean withIntegrityPacket,
                                             int encAlgorithm,
                                             byte[] key)
                                               throws PGPException

      Description copied from interface: `PGPDataDecryptorFactory`
      Constructs a data decryptor.
      Specified by:
        `createDataDecryptor` in interface `PGPDataDecryptorFactory`
      Parameters:
        `withIntegrityPacket` - `true` if the packet to be decrypted has integrity checking enabled.
        `encAlgorithm` - the identifier of the `encryption algorithm` to decrypt with.
        `key` - the bytes of the key for the cipher.
      Returns:
        a data decryptor that can decrypt (and verify) streams of encrypted data.
      Throws:
        `PGPException` - if an error occurs initialising the decryption and integrity checking functions.